Adding Words

Help for Viv's Vocabulary Database version 3.8

Adding Words

When you use the program for the first time, type your first name carefully (don't forget that names start with a capital letter). The program will remember this name and use it in future.

There is an example word in the 'General Vocabulary' section.

1. On the blue 'Add words' page, press the 'Tab' key until the section which is best for the word or expression is highlighted. Then press 'Enter'. If you go past the section you want, press the cursor left key (<-).

2. Type the word or expression you want to learn in the box on the left. Press 'Enter' (or 'Tab'). You can see this page again by pressing the F1 key.

3. Put the part of speech in brackets (V=verb, N=noun, ADJ=adjective, ADV = adverb, EXP=expression, PREP=preposition, COMP= comparative adjective e.g. better, SUP=superlative adjective e.g. best, ABB=abbreviation). If you move the mouse over this box, you'll see a list of abbreviations. Then write the translation in your language and press 'Enter' (or 'Tab').

4. Write a sentence which uses the word or expression. The word must be EXACTLY THE SAME as it appears in the 'Word' section. Press 'Enter' or 'Tab' twice when you've finished and the word will be replaced by asterisks (**). You don't have to write a context sentence if you don't want to (just press 'Enter' or 'Tab'), but it's easier to remember the words if you can think of one (you can often find context sentences in a dictionary). For help creating context sentences, click on the blue 'Internet help page' link. You'll find it above the red "I've finished using Viv's Vocabulary Database" button.

5. When you've finished, press 'Esc' or click on the red 'Finished' button at the bottom of the screen. You don't have to save the new words, this is done automatically (Note! Press 'Enter' or 'Tab' twice after writing your last context sentence before using the 'Finished' button or pressing 'Esc').

6. If you want to add more words to the same section of your Vocab Database later on, after selecting the section as in step 1 above, hold down the 'Alt' key and press the letter 'a' (or click once on the blue 'Add new word' button at the bottom of the page) and follow instructions 2-5 above. The program also comes with four entries in the 'numbers' section. The symbols for pounds, dollars, euros and yen can be copied by highlighting them with the mouse, holding down the control key (Ctrl) then pressing the letter 'c'. You can then paste them into another entry by holding down the Control key and pressing 'v'.

7. The 'All words with context sentences' section at the bottom of the grey box on the right will show all words with context sentences (if a word doesn't have a context sentence it will not appear in this section). However, these words are not in alphabetical order.

Test yourself

This button is highlighted when you start the program, pressing 'Enter' will take you to the green 'Test words' page (pressing the letter 't' will also do this).

See all my words

Press the letter 's' (or click this button) to revise all the words in your vocabulary database in alphabetical order. You can also use this page to edit any mistakes in words or context sentences already there, just press 'Tab' until you reach the box you want to edit (or click on the words you want to change with the mouse) and make your changes. Press the 'Page Down' or 'Page Up' keys on your keyboard to see more words (they are usually to the left of the 'Enter' key). If you press Ctrl + F (or click on 'Look up a word?' at the top left of the screen), you can type the name of a word in your Vocabulary Database and the program will find it for you (for more information of searching for words in your Vocabulary Database go to the 'Internet help page'). The example words which come with the database do not appear on the 'See all my words' page.

Print all my words

With this button you can print all your words, their meanings, context sentences and the section in which the word is stored. Make sure your printer is switched on and ready to print before selecting this command.

I've finished using Viv's Vocabulary Database

You will leave the program if you press the 'Escape' key, usually in the top left corner of your keyboard (you can also click once on this button). Any work you have done will be saved automatically.

All rights reserved. Viv Quarry September 2010 (www.vivquarry.com)


Testing words

Help for Viv's Vocabulary Database version 3.8

Testing words

1. On the green 'Test Words' page, press 'Tab' until the section name you want to test is highlighted and press 'Enter' (or click on the button or text). The number of words in each section is shown on the right. The last option will only test the words which have a context sentence. The words in this section will not be in alphabetical order.

Try not to use the mouse on the test page. You can perform all actions using the keyboard.

2. On the 'Test my vocabulary page' (with a map of the world as background), the translation appears at the top, below it is a space for you to write the word or expression in English. Under this box is the context sentence (if you've written one) and section the word is in. The tested words are in alphabetical order unless you choose to test all words with context sentences (Note! Before testing the same section twice, you'll have to delete your previous guesses (a message will appear telling you if this happens). Press 'Enter' and you'll return to the green 'Test Words' page. Press 'Enter' again to see the words you got wrong in the previous test. If you want to start the test immediately, press 'Tab' (right cursor or the letter 'N') then 'Enter' to delete all your previous guesses and start the test.

3. Type the word in English and press 'Enter' twice. If you can't remember the word, just press 'Enter' twice.

4. If you are wrong, the following will happen after you enter your answer:

  • If the answer is less than 5 letters - you'll get a second try. Either press 'Enter' for a second attempt, or press 'Tab' then 'Enter' or the letter 'N' to go on to the next expression.
  • If you have the wrong number of letters, punctuation marks or spaces - a message will appear telling you how many characters you typed and how many there are in the answer. You will also see what letter the word or expression begins with. Press 'Enter' and you will be asked if you want to try again. Press 'Enter' again for a second attempt, or the letter 'N' to go on to the next word. NOTE! IF YOU KEEP PRESSING ENTER WITHOUT READING THE MESSAGES ON THE SCREEN, YOUR SCORE WILL GO DOWN A LOT!
  • If you have the right number of letters, punctuation and spaces - the computer will ask you if you want some help. If you select 'Yes' by pressing 'Enter', a box will appear showing you the some of the letters you got correct. The letters you got wrong will be replaced by asterisks (**) wherever they occur in your context sentence. If you select this help, your score will be reduced by 5%. If you press the letter 'N' you will be asked if you want to try again, in the same way as in the previous two situations.

5. When you've finished, the program will tell you. Check your score and press 'Enter' to record your test result. If you scored less than 60%, when you return to the green 'Test words' page, press 'Enter', check the words you got wrong, then delete your previous guesses and test yourself again.

6. If you are testing "All my words" or "All words with context sentences" and you have previous guesses you haven't deleted from any section, the program will ask if you want to continue with the test or start the test again. If you are near the end of a long test, Press 'Enter' to continue, and then think about whether your previous guess was correct or not before pressing 'Enter' again (you can change it if you think that it was wrong). If you are at the beginning of a test, or you haven't got many words, press the letter 'N', and your previous guesses will be deleted and you will return to the first question in the same test.

7. If you want to finish the test before answering all the questions, press 'Escape' (Esc) or click on the red "Finished" button. You will be asked if you want to record your test result or not. Press 'Enter' to record your score, or the letter 'N' to leave the 'Test my vocabulary' page without recording your score. If you have pressed 'Esc' by accident, you can either press the 'Tab' key twice and 'Enter' or click on the "Cancel" button to return to the test. If you want to continue a previous, unfinished test of a section with more than 20 words, when asked to delete your previous guesses, select 'Cancel' (press 'Tab' twice, then 'Enter'). Then click on the red 'Finished' button. Finally, select 'Cancel' again and the blue 'Reverse order' button will appear. Press Alt + r (or click once on this button with the mouse) to test your remaining words in reverse order. When you reach the place you finished in the previous test, a message will tell you that you have previous guesses you haven't deleted. Press 'Enter', then Escape twice and finally 'Enter' to record your test score for the words you have just finished testing.

See the words you got wrong in the last test?

DO NOT USE THE MOUSE ON THIS PAGE UNLESS MOVING TO A SECOND PAGE (see below). USE THE CURSOR KEYS TO NAVIGATE.

This green button (or press 'Enter') will open up a report with all the words you got wrong first time, or couldn't remember. You can print this page if you want to (Ctrl + p). The correct word appears on the left, followed by the word in your language, and the context sentence, if you've written one. On the right is either your first guess (even if you got the word correct in a second attempt), or a question mark if you didn't know the word. Moving the cursor (->) to the right will hide the answers and you can try to remember the word. The number of pages will be indicated at the bottom of the screen. To go to a new page, use the mouse to click once on the arrow pointing to the right next to the number 1 at the bottom-left of your screen.

Press 'Escape' (Esc) when you've finished using this page. If the 'Esc' key doesn't work, hold down the 'Ctrl' key and press the 'F4' key at the top of your keyboard

Delete your guesses from the last test?

Before you can test the same section a second time, you must delete your answers from the previous test. Press the letter 'd' (or click on this button), and your previous guesses will be removed automatically.

Revise, edit or add new words?

This button, or the letter 'r' will take you to the blue 'Add words' page where you can see the words on your Vocabulary Database and add more words.

Test all my words

Selecting this option or pressing 't' will test all the words in your Vocabulary Database in alphabetical order.

Past test results

This button (press letter 'p') will show you the results you got in previous tests when you recorded your results. Use the mouse to scroll down to see more results. Press 'Esc' to close this window.

I've finished using Viv's Vocabulary Database

Press the 'Escape' button leave the program (or click on this button).

All rights reserved. Viv Quarry September 2010 (www.vivquarry.com).